> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /grailed/items/similar

> Get listings similar to a given Grailed listing by ID or URL

**Price:** 1 credit

**⚠️ Common errors:** 412: Listing not found



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/grailed/items/similar
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/grailed/items/similar:
    post:
      tags:
        - /grailed
      summary: /grailed/items/similar
      description: |-
        Get listings similar to a given Grailed listing by ID or URL

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Listing not found
      operationId: __api_grailed_items_similar_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrailedSimilarPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GrailedListingHit'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GrailedSimilarPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        item:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - item
        - count
    GrailedListingHit:
      properties:
        '@type':
          type: string
          default: GrailedListingHit
        id:
          type: integer
        listing_title:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_drops:
          items:
            type: number
          type: array
          default: []
        dropped:
          type: boolean
          default: false
        size:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        category_path:
          anyOf:
            - type: string
            - type: 'null'
        department:
          anyOf:
            - type: string
            - type: 'null'
        color:
          anyOf:
            - type: string
            - type: 'null'
        condition:
          anyOf:
            - type: string
            - type: 'null'
        country_of_origin:
          anyOf:
            - type: string
            - type: 'null'
        strata:
          anyOf:
            - type: string
            - type: 'null'
        styles:
          items:
            type: string
          type: array
          default: []
        badges:
          items:
            type: string
          type: array
          default: []
        designer_names:
          anyOf:
            - type: string
            - type: 'null'
        designers:
          items:
            $ref: '#/components/schemas/GrailedDesignerRef'
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        photo_count:
          type: integer
          default: 0
        measurement_count:
          type: integer
          default: 0
        location:
          anyOf:
            - type: string
            - type: 'null'
        follower_count:
          type: integer
          default: 0
        buy_now:
          type: boolean
          default: false
        make_offer:
          type: boolean
          default: false
        sold:
          type: boolean
          default: false
        sold_price:
          anyOf:
            - type: number
            - type: 'null'
        sold_shipping_price:
          anyOf:
            - type: number
            - type: 'null'
        sold_price_includes_shipping:
          anyOf:
            - type: boolean
            - type: 'null'
        sold_at:
          anyOf:
            - type: integer
            - type: 'null'
        shipping:
          items:
            $ref: '#/components/schemas/GrailedShippingOption'
          type: array
          default: []
        seller:
          anyOf:
            - $ref: '#/components/schemas/GrailedHitSeller'
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - listing_title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GrailedDesignerRef:
      properties:
        '@type':
          type: string
          default: GrailedDesignerRef
        id:
          type: integer
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        departments:
          items:
            type: string
          type: array
          default: []
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    GrailedShippingOption:
      properties:
        '@type':
          type: string
          default: GrailedShippingOption
        region:
          type: string
        amount:
          anyOf:
            - type: number
            - type: 'null'
        is_enabled:
          type: boolean
          default: false
      type: object
      required:
        - region
    GrailedHitSeller:
      properties:
        '@type':
          type: string
          default: GrailedHitSeller
        id:
          type: integer
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        total_bought_and_sold:
          type: integer
          default: 0
        rating_average:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          type: integer
          default: 0
        is_trusted_seller:
          type: boolean
          default: false
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````